/**
*
* Styling for all elements on the page 
* like Buttons, Dropdowns etc.
*
**/
/**
*
* Defines all colors that are used in MoPats less sheets
*
**/
/**
* This file contains color definition based on the material 
* design specification for color palettes
**/
/* Grayscales (from Bootstrap) */
/**
*
* Sizes for the mopat web application
*
**/
/**
*
* Some variable values that will be repeated
* for MoPats views
* This file can be used as a central hub to change 
* many settings at once without touching the less files
*
**/
.dropdown-menu {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
/*
* Bootstraps "d-flex" uses the !important flag so it cannot be removed by display:none; 
* Use this class, if elements should be dynamically shown via JS
*/
.removableFlex {
  display: flex;
}
.bi-large {
  font-size: 150%;
  font-weight: 700;
}
.bi-xlarge {
  font-size: 200%;
  font-weight: 900;
}
.bi-action:hover {
  cursor: grab;
}
.note-editor,
.file-preview,
.form-control,
.form-select,
form .card,
.alert,
.page-link {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}
.dropdown-item {
  border: 0.3em solid #ffffff;
  font-size: 1.1em;
}
.dropdown-item:hover {
  border-left: 0.3em solid #377cbf;
  background-color: #eeeeee;
  border-radius: 0;
  transition: 0.25s ease-in-out;
}
.dropdown-item.active {
  color: #3e3e3b;
  border-left: 0.3em solid #254c7e !important;
  background-color: white !important;
}
#languageDropdown .dropdown-toggle {
  color: #62778c;
  text-decoration: none;
}
.form-group {
  margin-bottom: 15px;
  /* restore old form layout for bootstrap 5 */
  /* Style the chevron signs in every form group. Used for collapsable elements */
}
.form-group .required:after {
  content: "*";
  color: #ff0000;
}
.form-group .bi-chevron-up {
  float: right;
  color: #3e3e3b;
  margin-right: 11px;
}
.form-group .bi-chevron-down {
  float: right;
  color: #3e3e3b;
  margin-right: 11px;
  margin-right: 0;
}
.btn {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  transition: 0.25s ease-in-out;
  border-radius: 5px;
}
.btn:disabled {
  background-color: #e0e0e0;
  color: #757575;
  border-color: #757575;
}
.btn:hover {
  transition: 0.25s ease-in-out;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.btn-primary {
  background-color: #254c7e;
  border-color: #254c7e;
  color: #ffffff;
  border-radius: 5px;
  transition: 0.25s ease-in-out;
}
.btn-primary:hover {
  background-color: #377cbf;
  border-color: #377cbf;
  transition: 0.25s ease-in-out;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.btn-outline-primary {
  border-color: #254c7e;
  color: #254c7e;
  border-radius: 5px;
  transition: 0.25s ease-in-out;
}
.btn-outline-primary:hover {
  border-color: #377cbf;
  color: #377cbf;
  transition: 0.25s ease-in-out;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.btn-check:checked + .btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check) + .btn:active {
  background-color: #254c7e;
  border-color: #254c7e;
  color: #ffffff;
  transition: 0.25s ease-in-out;
}
.btn-secondary {
  background-color: #333333;
  border-color: #333333;
  color: #ffffff;
  border-radius: 5px;
  transition: 0.25s ease-in-out;
}
.btn-secondary:hover {
  background-color: #777777;
  border-color: #777777;
  transition: 0.25s ease-in-out;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.btn-primary-list {
  background-color: #254c7e;
  border-color: #254c7e;
  color: #ffffff;
  border-radius: 5px;
  transition: 0.25s ease-in-out;
  background-color: #ffffff;
  border-color: #dee2e6;
  color: #62778c;
}
.btn-primary-list:hover {
  background-color: #377cbf;
  border-color: #377cbf;
  transition: 0.25s ease-in-out;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.btn-primary-list:hover {
  background-color: #f8f9fa;
  border-color: #dee2e6;
  color: #254c7e;
  transition: 0.25s ease-in-out;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.btn-primary-list i {
  font-size: 1.2rem;
}
.bi-edit-question {
  display: inline-block;
  width: 2em;
  height: 1em;
  background-color: currentColor;
  mask: url("data:image/svg+xml;utf8,<svg width='22' height='22' xmlns='http://www.w3.org/2000/svg' class='bi bi-pencil-square' fill='currentColor'> <g>  <title>Layer 1</title>  <path stroke='null' id='svg_1' d='m19.55437,3.73093a0.29589,0.28814 0 0 1 0,0.40686l-0.61723,0.60166l-1.18355,-1.15258l0.61723,-0.60166a0.29589,0.28814 0 0 1 0.41839,0l0.76517,0.74514l0,0.00058l-0.00001,0zm-1.03561,1.41538l-1.18355,-1.15258l-4.03177,3.92686a0.29589,0.28814 0 0 0 -0.0716,0.11295l-0.47638,1.39117a0.14794,0.14408 0 0 0 0.187,0.18211l1.42854,-0.46391a0.29589,0.28814 0 0 0 0.11599,-0.06916l4.03177,-3.92686l0,-0.00058l0,0.00001l0,-0.00001z'/>  <path stroke='null' id='svg_2' d='m0.64892,19.89524a2.0038,2.00546 0 0 0 2.0038,2.00546l14.69455,0a2.0038,2.00546 0 0 0 2.0038,-2.00546l0,-8.02182a0.66793,0.66849 0 0 0 -1.33587,0l0,8.02182a0.66793,0.66849 0 0 1 -0.66793,0.66849l-14.69455,0a0.66793,0.66849 0 0 1 -0.66793,-0.66849l0,-14.70667a0.66793,0.66849 0 0 1 0.66793,-0.66849l8.68315,0a0.66793,0.66849 0 0 0 0,-1.33697l-8.68315,0a2.0038,2.00546 0 0 0 -2.0038,2.00546l0,14.70667z' fill-rule='evenodd'/>  <g id='svg_3' stroke='null'>   <path d='m3.87418,9.87977c-0.30146,0 -0.54561,-0.24962 -0.49891,-0.54454c0.29191,-1.79159 1.6676,-3.09761 4.05489,-3.09761c2.38835,0 3.99864,1.43243 3.99864,3.38621c0,1.41558 -0.7059,2.40983 -1.90007,3.13133c-1.16764,0.6941 -1.50094,1.17754 -1.50094,2.11705l0,0.03159a0.53075,0.52662 0 0 1 -0.53075,0.52662l-0.81735,0a0.53075,0.52662 0 0 1 -0.53075,-0.52136l-0.00319,-0.21064c-0.04564,-1.28602 0.50633,-2.10755 1.74615,-2.85642c1.09333,-0.66566 1.4829,-1.19544 1.4829,-2.13599c0,-1.03113 -0.8046,-1.78842 -2.04444,-1.78842c-1.07105,0 -1.81515,0.55717 -2.05717,1.47665c-0.07005,0.26752 -0.2951,0.48555 -0.5732,0.48555l-0.82478,0l-0.00107,0l0.00002,-0.00003l0.00002,0.00001zm3.20677,8.99688c0.66024,0 1.16233,-0.49925 1.16233,-1.14804c0,-0.6509 -0.50208,-1.15015 -1.16233,-1.15015c-0.64325,0 -1.15384,0.49925 -1.15384,1.1491s0.51057,1.1491 1.15384,1.1491' fill-rule='evenodd' id='svg_4' stroke='null'/>  </g> </g></svg>") no-repeat center / contain;
  -webkit-mask: url("data:image/svg+xml;utf8,<svg width='22' height='22' xmlns='http://www.w3.org/2000/svg' class='bi bi-pencil-square' fill='currentColor'> <g>  <title>Layer 1</title>  <path stroke='null' id='svg_1' d='m19.55437,3.73093a0.29589,0.28814 0 0 1 0,0.40686l-0.61723,0.60166l-1.18355,-1.15258l0.61723,-0.60166a0.29589,0.28814 0 0 1 0.41839,0l0.76517,0.74514l0,0.00058l-0.00001,0zm-1.03561,1.41538l-1.18355,-1.15258l-4.03177,3.92686a0.29589,0.28814 0 0 0 -0.0716,0.11295l-0.47638,1.39117a0.14794,0.14408 0 0 0 0.187,0.18211l1.42854,-0.46391a0.29589,0.28814 0 0 0 0.11599,-0.06916l4.03177,-3.92686l0,-0.00058l0,0.00001l0,-0.00001z'/>  <path stroke='null' id='svg_2' d='m0.64892,19.89524a2.0038,2.00546 0 0 0 2.0038,2.00546l14.69455,0a2.0038,2.00546 0 0 0 2.0038,-2.00546l0,-8.02182a0.66793,0.66849 0 0 0 -1.33587,0l0,8.02182a0.66793,0.66849 0 0 1 -0.66793,0.66849l-14.69455,0a0.66793,0.66849 0 0 1 -0.66793,-0.66849l0,-14.70667a0.66793,0.66849 0 0 1 0.66793,-0.66849l8.68315,0a0.66793,0.66849 0 0 0 0,-1.33697l-8.68315,0a2.0038,2.00546 0 0 0 -2.0038,2.00546l0,14.70667z' fill-rule='evenodd'/>  <g id='svg_3' stroke='null'>   <path d='m3.87418,9.87977c-0.30146,0 -0.54561,-0.24962 -0.49891,-0.54454c0.29191,-1.79159 1.6676,-3.09761 4.05489,-3.09761c2.38835,0 3.99864,1.43243 3.99864,3.38621c0,1.41558 -0.7059,2.40983 -1.90007,3.13133c-1.16764,0.6941 -1.50094,1.17754 -1.50094,2.11705l0,0.03159a0.53075,0.52662 0 0 1 -0.53075,0.52662l-0.81735,0a0.53075,0.52662 0 0 1 -0.53075,-0.52136l-0.00319,-0.21064c-0.04564,-1.28602 0.50633,-2.10755 1.74615,-2.85642c1.09333,-0.66566 1.4829,-1.19544 1.4829,-2.13599c0,-1.03113 -0.8046,-1.78842 -2.04444,-1.78842c-1.07105,0 -1.81515,0.55717 -2.05717,1.47665c-0.07005,0.26752 -0.2951,0.48555 -0.5732,0.48555l-0.82478,0l-0.00107,0l0.00002,-0.00003l0.00002,0.00001zm3.20677,8.99688c0.66024,0 1.16233,-0.49925 1.16233,-1.14804c0,-0.6509 -0.50208,-1.15015 -1.16233,-1.15015c-0.64325,0 -1.15384,0.49925 -1.15384,1.1491s0.51057,1.1491 1.15384,1.1491' fill-rule='evenodd' id='svg_4' stroke='null'/>  </g> </g></svg>") no-repeat center / contain;
}
.bi-lab-icon {
  display: inline-block;
  position: relative;
  top: 10%;
  width: 2em;
  height: 2em;
  background-color: currentColor;
  mask: url("data:image/svg+xml;utf8,<svg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='800px' height='800px' viewBox='0 0 45.637 45.637'><g><path d='M29.775,17.766V3.927h0.972c1.096,0,1.983-0.868,1.983-1.963C32.73,0.868,31.841,0,30.747,0H14.873c-1.096,0-1.984,0.868-1.984,1.964c0,1.096,0.889,1.963,1.984,1.963h1v13.839c-4.67,2.488-7.858,7.407-7.858,13.071c0,8.173,6.622,14.8,14.797,14.8c8.175,0,14.811-6.627,14.811-14.8C37.62,25.174,34.445,20.254,29.775,17.766z M33.518,30.99c-0.011,0-0.019,0-0.028,0c-0.809,0-1.473-0.645-1.486-1.456c-0.065-3.667-2.446-6.894-5.926-8.033c-0.613-0.201-1.027-0.772-1.025-1.417L25.1,5.859c0.003-0.82,0.722-1.508,1.493-1.508c0.771,0,1.486,0.696,1.482,1.518l-0.044,13.186c4.116,1.797,6.865,5.857,6.947,10.419C34.993,30.296,34.339,30.99,33.518,30.99z'/></g></svg>") no-repeat center / contain;
  -webkit-mask: url("data:image/svg+xml;utf8,<svg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='800px' height='800px' viewBox='0 0 45.637 45.637'><g><path d='M29.775,17.766V3.927h0.972c1.096,0,1.983-0.868,1.983-1.963C32.73,0.868,31.841,0,30.747,0H14.873c-1.096,0-1.984,0.868-1.984,1.964c0,1.096,0.889,1.963,1.984,1.963h1v13.839c-4.67,2.488-7.858,7.407-7.858,13.071c0,8.173,6.622,14.8,14.797,14.8c8.175,0,14.811-6.627,14.811-14.8C37.62,25.174,34.445,20.254,29.775,17.766z M33.518,30.99c-0.011,0-0.019,0-0.028,0c-0.809,0-1.473-0.645-1.486-1.456c-0.065-3.667-2.446-6.894-5.926-8.033c-0.613-0.201-1.027-0.772-1.025-1.417L25.1,5.859c0.003-0.82,0.722-1.508,1.493-1.508c0.771,0,1.486,0.696,1.482,1.518l-0.044,13.186c4.116,1.797,6.865,5.857,6.947,10.419C34.993,30.296,34.339,30.99,33.518,30.99z'/></g></svg>") no-repeat center / contain;
}
.bi-list-icon {
  display: inline-block;
  width: 2em;
  height: 1em;
}
.bi-green {
  color: #264409 !important;
}
.btn-red {
  background-color: #fbe3e4 !important;
  border-color: #fbc2c4 !important;
}
.btn-red i {
  color: #8a1f11;
}
.btn-green {
  background-color: #e6efc2 !important;
  border-color: #c6d880 !important;
}
.btn-green i {
  color: #264409;
}
.btn-yellow {
  background-color: #fcf8e3 !important;
  border-color: #f5e79e !important;
}
.btn-yellow i {
  color: #eb9316;
}
.btn-crossed {
  pointer-events: none;
  background-color: #efefef;
}
.btn-crossed i {
  opacity: 0.3;
}
input[type=checkbox],
input[type=radio] {
  accent-color: #377cbf;
}
label {
  display: inline-block;
  max-width: 100%;
  margin-bottom: 5px;
  font-weight: 700;
  color: #3e3e3b;
  text-decoration: none;
}
.form-switch .form-check-input {
  width: 60px !important;
  height: 25px !important;
}
.form-check-input:checked {
  background-color: #377cbf;
  border-color: #377cbf;
}
.form-checkbox label {
  display: flex;
  align-items: center;
  cursor: pointer;
}
.form-checkbox input[type="checkbox"] {
  width: 18px;
  height: 18px;
  margin: 0 10px 0 0;
  cursor: pointer;
}
/* Style the links which collapse a area. I.e. question/edit */
a[data-bs-toggle='collapse'] {
  text-decoration: none !important;
  color: #3e3e3b !important;
}
a[data-bs-toggle='collapse']:hover,
a[data-bs-toggle='collapse'] label:hover {
  cursor: pointer;
}
/* The container for the two drag&drop lists */
.doubleList {
  margin-top: 10px;
  margin-bottom: 10px;
}
/* The icons between the two drag&drop lists */
.doubleListIcon {
  padding-top: 55px;
}
.questionnaire-version-group-header-spacer {
  margin-top: 0.75rem;
}
.questionnaire-version-group-footer-spacer {
  margin-bottom: 0.75rem;
}
.chevron-icon-down,
.chevron-icon-up {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: opacity 0.3s ease;
  opacity: 0;
  pointer-events: none;
}
.chevron-icon-down.show,
.chevron-icon-up.show {
  opacity: 1;
  pointer-events: auto;
}
/* Give this elements a fixed hight and make them scrollable */
.scrollable-menu {
  height: auto;
  max-height: 200px;
  overflow-x: hidden;
}
.questionnaireName {
  width: 200px;
  text-align: left;
  vertical-align: top;
}
.questionnaireDescription {
  text-align: left;
}
.position {
  text-align: left;
  vertical-align: top;
}
.templateTypes {
  text-align: left;
  vertical-align: top;
}
.custom-tooltip {
  max-width: 400px;
}
@media only screen and (min-width: 1200px) {
  .upload-info-box {
    min-width: 1000px;
    max-width: 1000px;
  }
}
@media only screen and (max-width: 1200px) {
  #uploadForm {
    width: 100%;
  }
}
@media only screen and (min-width: 1400px) {
  #errorAccordion {
    max-width: 1000px;
  }
}
span.success {
  padding: 2px;
  text-align: center;
  background-color: #e6efc2;
  border: 2px solid #c6d880;
  color: #264409;
}
span.failure {
  padding: 2px;
  text-align: center;
  background-color: #fbe3e4;
  border: 2px solid #fbc2c4;
  color: #8a1f11;
}
span.conflict {
  padding: 2px;
  text-align: center;
  background-color: #fcf8e3;
  border: 2px solid #f5e79e;
  color: #eb9316;
}
.score-panel span,
.score-panel .bi {
  font-size: 2rem;
}
.score-panel .form-control {
  margin-bottom: 10px;
  margin-top: 10px;
}
.score-element {
  max-width: 100% !important;
  text-overflow: ellipsis;
}
.exportSuccess {
  background-color: #c8e6c9;
  color: #1b5e20;
}
.exportConflict {
  background-color: #fff9c4;
  color: #f57f17;
}
.exportFailed {
  background-color: #ffcdd2;
  color: #b71c1c;
}
.shape {
  fill: #009ee0ff;
  opacity: 0.3;
}
.shape:hover {
  fill: #009ee0ff;
  cursor: pointer;
  opacity: 0.6;
}
.shape-selected {
  fill: #009ee0ff;
  opacity: 0.6;
}
.shape-selected:hover {
  fill: #009ee0ff;
  cursor: pointer;
  opacity: 0.3;
}
.drag-n-drop-header-item {
  padding-top: 5px;
}
.list-group-item.active {
  background-color: #254c7e !important;
}
.groupType {
  font-size: 1.4rem;
}
.bi-lg {
  font-size: 1.5rem;
}
legend {
  border-bottom: 1px solid #e5e5e5;
}
.boxShadowMaterialSm {
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24) !important;
}
.boxShadowMaterialMd {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23) !important;
}
.boxShadowMaterialLg {
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23) !important;
}
.boxShadowMaterialXl {
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22) !important;
}
.boxShadowMaterialXxl {
  box-shadow: 0 19px 38px rgba(0, 0, 0, 0.3), 0 15px 12px rgba(0, 0, 0, 0.22) !important;
}
@media only screen and (max-width: 768px) {
  #loadingSpinner {
    width: 150px;
    height: 150px;
  }
}
@media only screen and (min-width: 768px) {
  #loadingSpinner {
    width: 250px;
    height: 250px;
  }
}

